//! The general app camera module, not to be confused with the `game::camera`¹ module.
//!
//! 1: I can't link to out of scope private items, so you'll have to navigate there yourself.
use bevy::prelude::*;

/// Sets up the camera for the entire app, with a starting position for the game. (TODO: probably change that)
/// This camera is also used for menu rendering etc.
pub fn setup(mut c: Commands) {
    c.spawn(Camera3d::default());
}
